<?xml version="1.0" encoding="US-ASCII"?>
<!-- RR Donnelley Xcelerate Taxonomy Schema, based on XBRL 2.1  http://www.rrdonnelley.com/ -->
<!-- Version: 6.23.6 -->
<!-- Round: 3 -->
<!-- Creation date: 2016-07-19T22:51:38Z -->
<!-- Copyright (c) 2005-2013 R.R. Donnelley &amp; Sons Company All Rights Reserved. -->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:us-gaap="http://fasb.org/us-gaap/2016-01-31"
  xmlns:us-types="http://fasb.org/us-types/2016-01-31"
  xmlns:sna="http://www.snapon.com/20160702"
  xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric"
  xmlns:num="http://www.xbrl.org/dtr/type/numeric"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
  xmlns:country="http://xbrl.sec.gov/country/2016-01-31"
  xmlns:currency="http://xbrl.sec.gov/currency/2016-01-31"
  xmlns:dei="http://xbrl.sec.gov/dei/2014-01-31"
  xmlns:exch="http://xbrl.sec.gov/exch/2016-01-31"
  xmlns:invest="http://xbrl.sec.gov/invest/2013-01-31"
  xmlns:naics="http://xbrl.sec.gov/naics/2011-01-31"
  xmlns:sic="http://xbrl.sec.gov/sic/2011-01-31"
  xmlns:stpr="http://xbrl.sec.gov/stpr/2011-01-31"
  targetNamespace="http://www.snapon.com/20160702"
  elementFormDefault="qualified" attributeFormDefault="unqualified">
  <annotation>
    <appinfo>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DocumentandEntityInformation" id="DocumentandEntityInformation">
        <link:definition>101 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/StatementOfIncome" id="Role_StatementOfIncome">
        <link:definition>103 - Statement - Condensed Consolidated Statements of Earnings (Unaudited)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/StatementOfOtherComprehensiveIncome" id="Role_StatementOfOtherComprehensiveIncome">
        <link:definition>104 - Statement - Condensed Consolidated Statements of Comprehensive Income (Unaudited)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/StatementOfFinancialPositionClassified" id="Role_StatementOfFinancialPositionClassified">
        <link:definition>105 - Statement - Condensed Consolidated Balance Sheets (Unaudited)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/StatementOfFinancialPositionClassifiedParenthetical" id="Role_StatementOfFinancialPositionClassifiedParen">
        <link:definition>106 - Statement - Condensed Consolidated Balance Sheets (Unaudited) (Parenthetical)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncome" id="Role_StatementOfShareholdersEquityAndOtherComprehensiveIncome">
        <link:definition>107 - Statement - Condensed Consolidated Statements of Equity (Unaudited)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncomeParenthetical" id="Role_StatementOfShareholdersEquityAndOtherComprehensiveIncomeParen">
        <link:definition>108 - Statement - Condensed Consolidated Statements of Equity (Unaudited) (Parenthetical)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/StatementOfCashFlowsIndirect" id="Role_StatementOfCashFlowsIndirect">
        <link:definition>109 - Statement - Condensed Consolidated Statements of Cash Flows (Unaudited)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsSignificantAccountingPoliciesTextBlock" id="Role_NotesToFinancialStatementsSignificantAccountingPoliciesTextBlock">
        <link:definition>110 - Disclosure - Summary of Accounting Policies</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsBusinessCombinationDisclosureTextBlock" id="Role_NotesToFinancialStatementsBusinessCombinationDisclosureTextBlock">
        <link:definition>111 - Disclosure - Acquisition</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsLoansNotesTradeAndOtherReceivablesDisclosureTextBlock" id="Role_NotesToFinancialStatementsLoansNotesTradeAndOtherReceivablesDisclosureTextBlock">
        <link:definition>112 - Disclosure - Receivables</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsInventoryDisclosureTextBlock" id="Role_NotesToFinancialStatementsInventoryDisclosureTextBlock">
        <link:definition>113 - Disclosure - Inventories</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsGoodwillAndIntangibleAssetsDisclosureTextBlock" id="Role_NotesToFinancialStatementsGoodwillAndIntangibleAssetsDisclosureTextBlock">
        <link:definition>114 - Disclosure - Goodwill and Other Intangible Assets</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsRestructuringAndRelatedActivitiesDisclosureTextBlock" id="Role_NotesToFinancialStatementsRestructuringAndRelatedActivitiesDisclosureTextBlock">
        <link:definition>115 - Disclosure - Exit and Disposal Activities</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlock" id="Role_NotesToFinancialStatementsIncomeTaxDisclosureTextBlock">
        <link:definition>116 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsDebtDisclosureTextBlock" id="Role_NotesToFinancialStatementsDebtDisclosureTextBlock">
        <link:definition>117 - Disclosure - Short-term and Long-term Debt</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsFinancialInstrumentsDisclosureTextBlock" id="Role_NotesToFinancialStatementsFinancialInstrumentsDisclosureTextBlock">
        <link:definition>118 - Disclosure - Financial Instruments</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsPensionAndOtherPostretirementBenefitsDisclosureTextBlock" id="Role_NotesToFinancialStatementsPensionAndOtherPostretirementBenefitsDisclosureTextBlock">
        <link:definition>119 - Disclosure - Pension Plans</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsPostemploymentBenefitsDisclosureTextBlock" id="Role_NotesToFinancialStatementsPostemploymentBenefitsDisclosureTextBlock">
        <link:definition>120 - Disclosure - Postretirement Health Care Plans</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock" id="Role_NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock">
        <link:definition>121 - Disclosure - Stock-based Compensation and Other Stock Plans</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsEarningsPerShareTextBlock" id="Role_NotesToFinancialStatementsEarningsPerShareTextBlock">
        <link:definition>122 - Disclosure - Earnings Per Share</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock" id="Role_NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock">
        <link:definition>123 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsOtherIncomeAndOtherExpenseDisclosureTextBlock" id="Role_NotesToFinancialStatementsOtherIncomeAndOtherExpenseDisclosureTextBlock">
        <link:definition>124 - Disclosure - Other Income (Expense) - Net</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsComprehensiveIncomeNoteTextBlock" id="Role_NotesToFinancialStatementsComprehensiveIncomeNoteTextBlock">
        <link:definition>125 - Disclosure - Accumulated Other Comprehensive Income (Loss)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsSegmentReportingDisclosureTextBlock" id="Role_NotesToFinancialStatementsSegmentReportingDisclosureTextBlock">
        <link:definition>126 - Disclosure - Segments</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsSignificantAccountingPoliciesTextBlockPolicies" id="Role_NotesToFinancialStatementsSignificantAccountingPoliciesTextBlockPolicies">
        <link:definition>127 - Disclosure - Summary of Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsLoansNotesTradeAndOtherReceivablesDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsLoansNotesTradeAndOtherReceivablesDisclosureTextBlockTables">
        <link:definition>128 - Disclosure - Receivables (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsInventoryDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsInventoryDisclosureTextBlockTables">
        <link:definition>129 - Disclosure - Inventories (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsGoodwillAndIntangibleAssetsDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsGoodwillAndIntangibleAssetsDisclosureTextBlockTables">
        <link:definition>130 - Disclosure - Goodwill and Other Intangible Assets (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsRestructuringAndRelatedActivitiesDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsRestructuringAndRelatedActivitiesDisclosureTextBlockTables">
        <link:definition>131 - Disclosure - Exit and Disposal Activities (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsDebtDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsDebtDisclosureTextBlockTables">
        <link:definition>132 - Disclosure - Short-term and Long-term Debt (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsFinancialInstrumentsDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsFinancialInstrumentsDisclosureTextBlockTables">
        <link:definition>133 - Disclosure - Financial Instruments (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsPensionAndOtherPostretirementBenefitsDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsPensionAndOtherPostretirementBenefitsDisclosureTextBlockTables">
        <link:definition>134 - Disclosure - Pension Plans (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsPostemploymentBenefitsDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsPostemploymentBenefitsDisclosureTextBlockTables">
        <link:definition>135 - Disclosure - Postretirement Health Care Plans (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlockTables" id="Role_NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlockTables">
        <link:definition>136 - Disclosure - Stock-based Compensation and Other Stock Plans (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsEarningsPerShareTextBlockTables" id="Role_NotesToFinancialStatementsEarningsPerShareTextBlockTables">
        <link:definition>137 - Disclosure - Earnings Per Share (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlockTables">
        <link:definition>138 - Disclosure - Commitments and Contingencies (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsOtherIncomeAndOtherExpenseDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsOtherIncomeAndOtherExpenseDisclosureTextBlockTables">
        <link:definition>139 - Disclosure - Other Income (Expense) - Net (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsComprehensiveIncomeNoteTextBlockTables" id="Role_NotesToFinancialStatementsComprehensiveIncomeNoteTextBlockTables">
        <link:definition>140 - Disclosure - Accumulated Other Comprehensive Income (Loss) (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/NotesToFinancialStatementsSegmentReportingDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsSegmentReportingDisclosureTextBlockTables">
        <link:definition>141 - Disclosure - Segments (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureSummaryOfAccountingPoliciesAdditionalInformation" id="DisclosureSummaryOfAccountingPoliciesAdditionalInformation">
        <link:definition>142 - Disclosure - Summary of Accounting Policies - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureAcquisitionAdditionalInformation" id="DisclosureAcquisitionAdditionalInformation">
        <link:definition>143 - Disclosure - Acquisition - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesAdditionalInformation" id="DisclosureReceivablesAdditionalInformation">
        <link:definition>144 - Disclosure - Receivables - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesComponentsOfTradeAndOtherAccountsReceivable" id="DisclosureReceivablesComponentsOfTradeAndOtherAccountsReceivable">
        <link:definition>145 - Disclosure - Receivables - Components of Trade and Other Accounts Receivable (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesComponentsOfCurrentFinanceAndContractReceivables" id="DisclosureReceivablesComponentsOfCurrentFinanceAndContractReceivables">
        <link:definition>146 - Disclosure - Receivables - Components of Current Finance and Contract Receivables (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesComponentsOfCurrentFinanceAndContractReceivablesParenthetical" id="DisclosureReceivablesComponentsOfCurrentFinanceAndContractReceivablesParenthetical">
        <link:definition>147 - Disclosure - Receivables - Components of Current Finance and Contract Receivables (Parenthetical) (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesComponentsOfFinanceAndContractReceivablesBeyondOneYear" id="DisclosureReceivablesComponentsOfFinanceAndContractReceivablesBeyondOneYear">
        <link:definition>148 - Disclosure - Receivables - Components of Finance and Contract Receivables Beyond One Year (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesComponentsOfFinanceAndContractReceivablesBeyondOneYearParenthetical" id="DisclosureReceivablesComponentsOfFinanceAndContractReceivablesBeyondOneYearParenthetical">
        <link:definition>149 - Disclosure - Receivables - Components of Finance and Contract Receivables Beyond One Year (Parenthetical) (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesAgingOfFinanceAndContractReceivables" id="DisclosureReceivablesAgingOfFinanceAndContractReceivables">
        <link:definition>150 - Disclosure - Receivables - Aging of Finance and Contract Receivables (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesScheduleOfPerformingAndNonperformingFinanceAndContractReceivables" id="DisclosureReceivablesScheduleOfPerformingAndNonperformingFinanceAndContractReceivables">
        <link:definition>151 - Disclosure - Receivables - Schedule of Performing and Nonperforming Finance and Contract Receivables (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesScheduleOfFinanceAndContractReceivablesOnNonaccrualStatus" id="DisclosureReceivablesScheduleOfFinanceAndContractReceivablesOnNonaccrualStatus">
        <link:definition>152 - Disclosure - Receivables - Schedule of Finance and Contract Receivables on Nonaccrual Status (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesRollforwardOfAllowancesForCreditLossesForFinanceAndContractReceivables" id="DisclosureReceivablesRollforwardOfAllowancesForCreditLossesForFinanceAndContractReceivables">
        <link:definition>153 - Disclosure - Receivables - Rollforward of Allowances for Credit Losses for Finance and Contract Receivables (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureInventoriesInventoriesByMajorClassification" id="DisclosureInventoriesInventoriesByMajorClassification">
        <link:definition>154 - Disclosure - Inventories - Inventories by Major Classification (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureInventoriesAdditionalInformation" id="DisclosureInventoriesAdditionalInformation">
        <link:definition>155 - Disclosure - Inventories - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureGoodwillAndOtherIntangibleAssetsChangesInCarryingAmountOfGoodwillBySegment" id="DisclosureGoodwillAndOtherIntangibleAssetsChangesInCarryingAmountOfGoodwillBySegment">
        <link:definition>156 - Disclosure - Goodwill and Other Intangible Assets - Changes in Carrying Amount of Goodwill by Segment (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureGoodwillAndOtherIntangibleAssetsOtherIntangibleAssetsByMajorClass" id="DisclosureGoodwillAndOtherIntangibleAssetsOtherIntangibleAssetsByMajorClass">
        <link:definition>157 - Disclosure - Goodwill and Other Intangible Assets - Other Intangible Assets by Major Class (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureGoodwillAndOtherIntangibleAssetsAdditionalInformation" id="DisclosureGoodwillAndOtherIntangibleAssetsAdditionalInformation">
        <link:definition>158 - Disclosure - Goodwill and Other Intangible Assets - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureGoodwillAndOtherIntangibleAssetsWeightedAverageAmortizationPeriodByMajorClass" id="DisclosureGoodwillAndOtherIntangibleAssetsWeightedAverageAmortizationPeriodByMajorClass">
        <link:definition>159 - Disclosure - Goodwill and Other Intangible Assets - Weighted-Average Amortization Period by Major Class (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureExitAndDisposalActivitiesAdditionalInformation" id="DisclosureExitAndDisposalActivitiesAdditionalInformation">
        <link:definition>160 - Disclosure - Exit and Disposal Activities - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureExitAndDisposalActivitiesRecordedCostsAssociatedWithExitAndDisposalActivities" id="DisclosureExitAndDisposalActivitiesRecordedCostsAssociatedWithExitAndDisposalActivities">
        <link:definition>161 - Disclosure - Exit and Disposal Activities - Recorded Costs Associated with Exit and Disposal Activities (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureExitAndDisposalActivitiesComponentsOfExitAndDisposalAccrualActivity" id="DisclosureExitAndDisposalActivitiesComponentsOfExitAndDisposalAccrualActivity">
        <link:definition>162 - Disclosure - Exit and Disposal Activities - Components of Exit and Disposal Accrual Activity (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureIncomeTaxesAdditionalInformation" id="DisclosureIncomeTaxesAdditionalInformation">
        <link:definition>163 - Disclosure - Income Taxes - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureShorttermAndLongtermDebtShorttermAndLongtermDebt" id="DisclosureShorttermAndLongtermDebtShorttermAndLongtermDebt">
        <link:definition>164 - Disclosure - Short-term and Long-term Debt - Short-term and Long-term Debt (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureShorttermAndLongtermDebtShorttermAndLongtermDebtParenthetical" id="DisclosureShorttermAndLongtermDebtShorttermAndLongtermDebtParenthetical">
        <link:definition>165 - Disclosure - Short-term and Long-term Debt - Short-term and Long-term Debt (Parenthetical) (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureShorttermAndLongtermDebtAdditionalInformation" id="DisclosureShorttermAndLongtermDebtAdditionalInformation">
        <link:definition>166 - Disclosure - Short-term and Long-term Debt - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureFinancialInstrumentsAdditionalInformation" id="DisclosureFinancialInstrumentsAdditionalInformation">
        <link:definition>167 - Disclosure - Financial Instruments - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureFinancialInstrumentsFairValueOfDerivativeInstrumentsIncludedWithinCondensedConsolidatedBalanceSheets" id="DisclosureFinancialInstrumentsFairValueOfDerivativeInstrumentsIncludedWithinCondensedConsolidatedBalanceSheets">
        <link:definition>168 - Disclosure - Financial Instruments - Fair Value of Derivative Instruments Included within Condensed Consolidated Balance Sheets (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureFinancialInstrumentsDerivativeInstrumentsDesignatedAsFairValueHedgesIncludedInCondensedConsolidatedStatementsOfEarnings" id="DisclosureFinancialInstrumentsDerivativeInstrumentsDesignatedAsFairValueHedgesIncludedInCondensedConsolidatedStatementsOfEarnings">
        <link:definition>169 - Disclosure - Financial Instruments - Derivative Instruments Designated as Fair Value Hedges Included in Condensed Consolidated Statements of Earnings (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureFinancialInstrumentsEffectOfDerivativeInstrumentsDesignatedAsCashFlowHedgesIncludedInAccumulatedOCIOnCondensedConsolidatedBalanceSheetsAndCondensedConsolidatedStatementsOfEarn_Xa" id="DisclosureFinancialInstrumentsEffectOfDerivativeInstrumentsDesignatedAsCashFlowHedgesIncludedInAccumulatedOCIOnCondensedConsolidatedBalanceSheetsAndCondensedConsolidatedStatementsOfEarn_Xa">
        <link:definition>170 - Disclosure - Financial Instruments - Effect of Derivative Instruments Designated as Cash Flow Hedges Included in Accumulated OCI on Condensed Consolidated Balance Sheets and Condensed Consolidated Statements of Earnings (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureFinancialInstrumentsDerivativeInstrumentsNotDesignatedAsHedgesIncludedInCondensedConsolidatedStatementsOfEarnings" id="DisclosureFinancialInstrumentsDerivativeInstrumentsNotDesignatedAsHedgesIncludedInCondensedConsolidatedStatementsOfEarnings">
        <link:definition>171 - Disclosure - Financial Instruments - Derivative Instruments Not Designated as Hedges Included in Condensed Consolidated Statements of Earnings (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureFinancialInstrumentsFairValuesOfFinancialInstrumentsNotApproximatingCarryingValuesInFinancialStatements" id="DisclosureFinancialInstrumentsFairValuesOfFinancialInstrumentsNotApproximatingCarryingValuesInFinancialStatements">
        <link:definition>172 - Disclosure - Financial Instruments - Fair Values of Financial Instruments Not Approximating Carrying Values in Financial Statements (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosurePensionPlansNetPeriodicPensionCost" id="DisclosurePensionPlansNetPeriodicPensionCost">
        <link:definition>173 - Disclosure - Pension Plans - Net Periodic Pension Cost (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosurePensionPlansAdditionalInformation" id="DisclosurePensionPlansAdditionalInformation">
        <link:definition>174 - Disclosure - Pension Plans - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosurePostretirementHealthCarePlansNetPeriodicPostretirementHealthCareCost" id="DisclosurePostretirementHealthCarePlansNetPeriodicPostretirementHealthCareCost">
        <link:definition>175 - Disclosure - Postretirement Health Care Plans - Net Periodic Postretirement Health Care Cost (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureStockBasedCompensationAndOtherStockPlansAdditionalInformation" id="DisclosureStockBasedCompensationAndOtherStockPlansAdditionalInformation">
        <link:definition>176 - Disclosure - Stock-Based Compensation and Other Stock Plans - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureStockBasedCompensationAndOtherStockPlansSummaryOfWeightedAverageAssumptionsOfFairValueGrantedUsingBlackScholesValuationModel" id="DisclosureStockBasedCompensationAndOtherStockPlansSummaryOfWeightedAverageAssumptionsOfFairValueGrantedUsingBlackScholesValuationModel">
        <link:definition>177 - Disclosure - Stock-Based Compensation and Other Stock Plans - Summary of Weighted-Average Assumptions of Fair Value Granted Using Black-Scholes Valuation Model (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureStockBasedCompensationAndOtherStockPlansSummaryOfStockOptionActivity" id="DisclosureStockBasedCompensationAndOtherStockPlansSummaryOfStockOptionActivity">
        <link:definition>178 - Disclosure - Stock-Based Compensation and Other Stock Plans - Summary of Stock Option Activity (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureStockBasedCompensationAndOtherStockPlansSummaryOfChangesInNonVestedAwards" id="DisclosureStockBasedCompensationAndOtherStockPlansSummaryOfChangesInNonVestedAwards">
        <link:definition>179 - Disclosure - Stock-Based Compensation and Other Stock Plans - Summary of Changes in Non-Vested Awards (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureEarningsPerShareComputationOfBasicAndDilutedEarningsPerCommonShare" id="DisclosureEarningsPerShareComputationOfBasicAndDilutedEarningsPerCommonShare">
        <link:definition>180 - Disclosure - Earnings Per Share - Computation of Basic and Diluted Earnings Per Common Share (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureEarningsPerShareAdditionalInformation" id="DisclosureEarningsPerShareAdditionalInformation">
        <link:definition>181 - Disclosure - Earnings Per Share - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureCommitmentsAndContingenciesSummaryOfProductWarrantyAccrualActivity" id="DisclosureCommitmentsAndContingenciesSummaryOfProductWarrantyAccrualActivity">
        <link:definition>182 - Disclosure - Commitments and Contingencies - Summary of Product Warranty Accrual Activity (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureOtherIncomeExpenseNetComputationOfOtherIncomeExpenseNet" id="DisclosureOtherIncomeExpenseNetComputationOfOtherIncomeExpenseNet">
        <link:definition>183 - Disclosure - Other Income (Expense) - Net - Computation of Other Income (Expense) - Net (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureAccumulatedOtherComprehensiveIncomeLossNetChangesInAccumulatedOCIByComponentNetOfTax" id="DisclosureAccumulatedOtherComprehensiveIncomeLossNetChangesInAccumulatedOCIByComponentNetOfTax">
        <link:definition>184 - Disclosure - Accumulated Other Comprehensive Income (Loss) - Net Changes in Accumulated OCI by Component, Net of Tax (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureAccumulatedOtherComprehensiveIncomeLossReclassificationsOutOfAccumulatedOCI" id="DisclosureAccumulatedOtherComprehensiveIncomeLossReclassificationsOutOfAccumulatedOCI">
        <link:definition>185 - Disclosure - Accumulated Other Comprehensive Income (Loss) - Reclassifications Out of Accumulated OCI (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureSegmentsNetSalesBySegment" id="DisclosureSegmentsNetSalesBySegment">
        <link:definition>186 - Disclosure - Segments - Net Sales by Segment (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureSegmentsAssetsBySegment" id="DisclosureSegmentsAssetsBySegment">
        <link:definition>187 - Disclosure - Segments - Assets by Segment (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesComponentsOfCurrentFinanceAndContractReceivablesAlternate1" id="DisclosureReceivablesComponentsOfCurrentFinanceAndContractReceivablesAlt1">
        <link:definition>188 - Disclosure - Receivables - Components of Current Finance and Contract Receivables (Detail) (Alternate 1)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureReceivablesComponentsOfFinanceAndContractReceivablesBeyondOneYearAlternate1" id="DisclosureReceivablesComponentsOfFinanceAndContractReceivablesBeyondOneYearAlt1">
        <link:definition>189 - Disclosure - Receivables - Components of Finance and Contract Receivables Beyond One Year (Detail) (Alternate 1)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.snapon.com/taxonomy/role/DisclosureShorttermAndLongtermDebtShorttermAndLongtermDebtAlternate1" id="DisclosureShorttermAndLongtermDebtShorttermAndLongtermDebtAlt1">
        <link:definition>190 - Disclosure - Short-term and Long-term Debt - Short-term and Long-term Debt (Detail) (Alternate 1)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:href="sna-20160702_cal.xml" xlink:title="Calculation Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:href="sna-20160702_def.xml" xlink:title="Definition Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:href="sna-20160702_lab.xml" xlink:title="Label Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:href="sna-20160702_pre.xml" xlink:title="Presentation Links, all"/>
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <import namespace="http://fasb.org/us-types/2016-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2016/elts/us-types-2016-01-31.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"/>
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <import namespace="http://fasb.org/us-gaap/2016-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2016/elts/us-gaap-2016-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/country/2016-01-31" schemaLocation="http://xbrl.sec.gov/country/2016/country-2016-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/currency/2016-01-31" schemaLocation="http://xbrl.sec.gov/currency/2016/currency-2016-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/dei/2014-01-31" schemaLocation="http://xbrl.sec.gov/dei/2014/dei-2014-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/exch/2016-01-31" schemaLocation="http://xbrl.sec.gov/exch/2016/exch-2016-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/invest/2013-01-31" schemaLocation="http://xbrl.sec.gov/invest/2013/invest-2013-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/naics/2011-01-31" schemaLocation="http://xbrl.sec.gov/naics/2011/naics-2011-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/sic/2011-01-31" schemaLocation="http://xbrl.sec.gov/sic/2011/sic-2011-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/stpr/2011-01-31" schemaLocation="http://xbrl.sec.gov/stpr/2011/stpr-2011-01-31.xsd"/>
  <element name="AccruedAndOtherCurrentLiabilitiesMember" id="sna_AccruedAndOtherCurrentLiabilitiesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AcquiredFiniteAndIndefiniteLivedIntangibleAssetsLineItems" id="sna_AcquiredFiniteAndIndefiniteLivedIntangibleAssetsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ActualDebtToCapitalRatio" id="sna_ActualDebtToCapitalRatio" type="xbrli:pureItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ActualDebtToIncomeRatio" id="sna_ActualDebtToIncomeRatio" type="xbrli:pureItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AllowanceForContractReceivableNoncurrent" id="sna_AllowanceForContractReceivableNoncurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AllowanceForContractsReceivableCurrent" id="sna_AllowanceForContractsReceivableCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AllowanceForCreditLossesOnNotesAndLoansAndContractReceivablesTableTextBlock" id="sna_AllowanceForCreditLossesOnNotesAndLoansAndContractReceivablesTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AllowanceForNotesAndLoansAndContractReceivablesCurrent" id="sna_AllowanceForNotesAndLoansAndContractReceivablesCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AllowanceForNotesAndLoansAndContractReceivablesNoncurrent" id="sna_AllowanceForNotesAndLoansAndContractReceivablesNoncurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="BuyContractsMember" id="sna_BuyContractsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="CommercialAndIndustrialGroupMember" id="sna_CommercialAndIndustrialGroupMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivable" id="sna_ContractReceivable" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableAllowanceForCreditLosses" id="sna_ContractReceivableAllowanceForCreditLosses" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableChargeOffs" id="sna_ContractReceivableChargeOffs" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableGrossCurrent" id="sna_ContractReceivableGrossCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableGrossNoncurrent" id="sna_ContractReceivableGrossNoncurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableNetCurrent" id="sna_ContractReceivableNetCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableNotPastDue" id="sna_ContractReceivableNotPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableRecordedInvestmentGreaterThanNinetyDaysPastDue" id="sna_ContractReceivableRecordedInvestmentGreaterThanNinetyDaysPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableRecordedInvestmentNinetyDaysPastDueAndStillAccruing" id="sna_ContractReceivableRecordedInvestmentNinetyDaysPastDueAndStillAccruing" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableRecordedInvestmentNonaccrualStatus" id="sna_ContractReceivableRecordedInvestmentNonaccrualStatus" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableRecordedInvestmentPastDue" id="sna_ContractReceivableRecordedInvestmentPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableRecordedInvestmentSixtyToNinetyDaysPastDue" id="sna_ContractReceivableRecordedInvestmentSixtyToNinetyDaysPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivableRecordedInvestmentThirtyToFiftyNineDaysPastDue" id="sna_ContractReceivableRecordedInvestmentThirtyToFiftyNineDaysPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivablesExtendedTermInstallmentLoansTerm" id="sna_ContractReceivablesExtendedTermInstallmentLoansTerm" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivablesForeignCurrencyTranslationAdjustments" id="sna_ContractReceivablesForeignCurrencyTranslationAdjustments" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivablesNet" id="sna_ContractReceivablesNet" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivablesNetNoncurrent" id="sna_ContractReceivablesNetNoncurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivablesProvisionForBadDebtExpense" id="sna_ContractReceivablesProvisionForBadDebtExpense" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ContractReceivablesRecoveries" id="sna_ContractReceivablesRecoveries" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="CostOfGoodsSoldMember" id="sna_CostOfGoodsSoldMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="CurrentNotesAndLoansAndContractReceivablesNet" id="sna_CurrentNotesAndLoansAndContractReceivablesNet" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="CustomerRelationshipContractualTermMaximum" id="sna_CustomerRelationshipContractualTermMaximum" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="CustomerRelationshipContractualTermMinimum" id="sna_CustomerRelationshipContractualTermMinimum" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DebtInstrumentInterestRateSwapAdjustment" id="sna_DebtInstrumentInterestRateSwapAdjustment" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DebtInstrumentMaturityYear" id="sna_DebtInstrumentMaturityYear" type="xbrli:gYearItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DebtMaturityTerm" id="sna_DebtMaturityTerm" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DeferredDiscountsFinanceChargesAndInterestIncludedInContractReceivablesCurrent" id="sna_DeferredDiscountsFinanceChargesAndInterestIncludedInContractReceivablesCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DeferredDiscountsFinanceChargesAndInterestIncludedInContractReceivablesNonCurrent" id="sna_DeferredDiscountsFinanceChargesAndInterestIncludedInContractReceivablesNonCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DeferredDiscountsFinanceChargesAndInterestIncludedInNotesAndLoansReceivableCurrent" id="sna_DeferredDiscountsFinanceChargesAndInterestIncludedInNotesAndLoansReceivableCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DeferredDiscountsFinanceChargesAndInterestIncludedInNotesAndLoansReceivableNonCurrent" id="sna_DeferredDiscountsFinanceChargesAndInterestIncludedInNotesAndLoansReceivableNonCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DeferredTaxLiabilitiesNonCurrentMember" id="sna_DeferredTaxLiabilitiesNonCurrentMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DefinedBenefitPlanAmortizationOfUnrecognizedGainsLosses" id="sna_DefinedBenefitPlanAmortizationOfUnrecognizedGainsLosses" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DefinedBenefitPlanContributionsByEmployerRequiredByLaw" id="sna_DefinedBenefitPlanContributionsByEmployerRequiredByLaw" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DocumentAndEntityInformationAbstract" id="sna_DocumentAndEntityInformationAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EarningsBeforeEquityEarnings" id="sna_EarningsBeforeEquityEarnings" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EcotechnicsSpAMember" id="sna_EcotechnicsSpAMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EffectiveIncomeTaxRateOnEarnings" id="sna_EffectiveIncomeTaxRateOnEarnings" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EmployeeContributionsForPurchaseOfCommonStock" id="sna_EmployeeContributionsForPurchaseOfCommonStock" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EmployeesStockPurchasePlanMember" id="sna_EmployeesStockPurchasePlanMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="FinancialServicesMember" id="sna_FinancialServicesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="FivePointFiveZeroPercentageUnsecuredNotesDueTwoThousandSeventeenMember" id="sna_FivePointFiveZeroPercentageUnsecuredNotesDueTwoThousandSeventeenMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="FiveYearMultiCurrencyRevolvingCreditFacilityMember" id="sna_FiveYearMultiCurrencyRevolvingCreditFacilityMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ForeignAndUsCountriesMember" id="sna_ForeignAndUsCountriesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="FourPointTwoFivePercentageUnsecuredNotesDueTwoThousandEighteenMember" id="sna_FourPointTwoFivePercentageUnsecuredNotesDueTwoThousandEighteenMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="FranchiseeContributionsForPurchaseOfCommonStock" id="sna_FranchiseeContributionsForPurchaseOfCommonStock" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="FranchiseeStockPurchasePlanMember" id="sna_FranchiseeStockPurchasePlanMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="GeographicValuationMethodologiesOfInventoryLineItems" id="sna_GeographicValuationMethodologiesOfInventoryLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="GeographicValuationMethodologiesOfInventoryTable" id="sna_GeographicValuationMethodologiesOfInventoryTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ImpairedContractReceivables" id="sna_ImpairedContractReceivables" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ImpairedNotesAndLoansReceivables" id="sna_ImpairedNotesAndLoansReceivables" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IncomeTaxesTable" id="sna_IncomeTaxesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="IncomeTaxLineItems" id="sna_IncomeTaxLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IntangibleAssetsAccumulatedAmortizationExcludingGoodwill" id="sna_IntangibleAssetsAccumulatedAmortizationExcludingGoodwill" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="InternallyDevelopedSoftwareMember" id="sna_InternallyDevelopedSoftwareMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="MarkToMarketDeferredCompensationIncomeExpense" id="sna_MarkToMarketDeferredCompensationIncomeExpense" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="MaterialAcquisitionMember" id="sna_MaterialAcquisitionMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="MaximumStockToBeAwardedAsPercentageOfStockInitiallyAwarded" id="sna_MaximumStockToBeAwardedAsPercentageOfStockInitiallyAwarded" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="MinimumPeriodPastDueToConsiderNotesAndLoansNonAccrualReceivablesNonPerforming" id="sna_MinimumPeriodPastDueToConsiderNotesAndLoansNonAccrualReceivablesNonPerforming" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="MinimumPeriodPastDueToConsiderReceivableBalancesAsDelinquent" id="sna_MinimumPeriodPastDueToConsiderReceivableBalancesAsDelinquent" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="MinimumPeriodPastDueToPlaceContractReceivablesOnNonaccrualStatus" id="sna_MinimumPeriodPastDueToPlaceContractReceivablesOnNonaccrualStatus" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NetEarningsExcludingNetIncomeLossAttributableToRedeemableNoncontrollingInterest" id="sna_NetEarningsExcludingNetIncomeLossAttributableToRedeemableNoncontrollingInterest" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NetIncreaseDecreaseInOtherShortTermBorrowing" id="sna_NetIncreaseDecreaseInOtherShortTermBorrowing" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NonEmployeeDirectorsMember" id="sna_NonEmployeeDirectorsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NonperformingReceivablesMember" id="sna_NonperformingReceivablesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NonvestedPerformanceSharesMember" id="sna_NonvestedPerformanceSharesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansAndContractReceivableGrossCurrent" id="sna_NotesAndLoansAndContractReceivableGrossCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansAndContractReceivableGrossNonCurrent" id="sna_NotesAndLoansAndContractReceivableGrossNonCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansAndContractReceivablesNetNonCurrent" id="sna_NotesAndLoansAndContractReceivablesNetNonCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivable" id="sna_NotesAndLoansReceivable" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableAllowanceForCreditLosses" id="sna_NotesAndLoansReceivableAllowanceForCreditLosses" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableAllowanceForCreditLossesCurrencyTranslationAdjustment" id="sna_NotesAndLoansReceivableAllowanceForCreditLossesCurrencyTranslationAdjustment" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableAllowanceForCreditLossesRecoveries" id="sna_NotesAndLoansReceivableAllowanceForCreditLossesRecoveries" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableAllowanceForCreditLossesWriteOffs" id="sna_NotesAndLoansReceivableAllowanceForCreditLossesWriteOffs" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableNet" id="sna_NotesAndLoansReceivableNet" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableNotPastDue" id="sna_NotesAndLoansReceivableNotPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableRecordedInvestmentGreaterThanNinetyDaysPastDue" id="sna_NotesAndLoansReceivableRecordedInvestmentGreaterThanNinetyDaysPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableRecordedInvestmentNinetyDaysPastDueAndStillAccruing" id="sna_NotesAndLoansReceivableRecordedInvestmentNinetyDaysPastDueAndStillAccruing" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableRecordedInvestmentNonAccrualStatus" id="sna_NotesAndLoansReceivableRecordedInvestmentNonAccrualStatus" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableRecordedInvestmentPastDue" id="sna_NotesAndLoansReceivableRecordedInvestmentPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableRecordedInvestmentSixtyToNinetyDaysPastDue" id="sna_NotesAndLoansReceivableRecordedInvestmentSixtyToNinetyDaysPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivableRecordedInvestmentThirtyToFiftyNineDaysPastDue" id="sna_NotesAndLoansReceivableRecordedInvestmentThirtyToFiftyNineDaysPastDue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NotesAndLoansReceivablesExtendedTermPaymentPlanTerm" id="sna_NotesAndLoansReceivablesExtendedTermPaymentPlanTerm" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OperatingEarningsBeforeFinancialServices" id="sna_OperatingEarningsBeforeFinancialServices" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OperatingEarningsFromSegment" id="sna_OperatingEarningsFromSegment" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OtherCurrenciesMember" id="sna_OtherCurrenciesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OtherFiniteLivedIntangibleAssetsMember" id="sna_OtherFiniteLivedIntangibleAssetsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OtherNonoperatingIncomeExpenseOther" id="sna_OtherNonoperatingIncomeExpenseOther" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OtherShortTermAndLongTermDebt" id="sna_OtherShortTermAndLongTermDebt" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PastDueNotesAndLoansAndContractReceivablesTableTextBlock" id="sna_PastDueNotesAndLoansAndContractReceivablesTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PerformanceAwardsSharesPaidOut" id="sna_PerformanceAwardsSharesPaidOut" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PerformingReceivablesMember" id="sna_PerformingReceivablesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PostretirementHealthCarePlansLineItems" id="sna_PostretirementHealthCarePlansLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PostretirementHealthCarePlansTable" id="sna_PostretirementHealthCarePlansTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="PrepaidExpensesAndOtherAssetsMember" id="sna_PrepaidExpensesAndOtherAssetsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PurchaseFromAffiliate" id="sna_PurchaseFromAffiliate" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="RepairSystemsAndInformationGroupMember" id="sna_RepairSystemsAndInformationGroupMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="RequiredDebtToCapitalRatio" id="sna_RequiredDebtToCapitalRatio" type="xbrli:pureItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="RequiredDebtToIncomeRatio" id="sna_RequiredDebtToIncomeRatio" type="xbrli:pureItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfAcquiredFiniteAndIndefiniteLivedIntangibleAssetsByMajorClassTable" id="sna_ScheduleOfAcquiredFiniteAndIndefiniteLivedIntangibleAssetsByMajorClassTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ScheduleOfComponentsOfNotesAndLoansAndContractReceivablesCurrentTableTextBlock" id="sna_ScheduleOfComponentsOfNotesAndLoansAndContractReceivablesCurrentTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfComponentsOfTradeAndOtherAccountsReceivableTableTextBlock" id="sna_ScheduleOfComponentsOfTradeAndOtherAccountsReceivableTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfDebtInstrumentsLineItems" id="sna_ScheduleOfDebtInstrumentsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfDebtInstrumentsTable" id="sna_ScheduleOfDebtInstrumentsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ScheduleOfDerivativeInstrumentDesignatedAsFairValueHedgeRecognizedInStatementOfEarningTableTextBlock" id="sna_ScheduleOfDerivativeInstrumentDesignatedAsFairValueHedgeRecognizedInStatementOfEarningTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfDerivativeInstrumentNotDesignatedAsHedgeInstrumentRecognizedInStatementOfEarningTableTextBlock" id="sna_ScheduleOfDerivativeInstrumentNotDesignatedAsHedgeInstrumentRecognizedInStatementOfEarningTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfFiniteLivedIntangibleAssetsByAmortizationPeriodTableTextBlock" id="sna_ScheduleOfFiniteLivedIntangibleAssetsByAmortizationPeriodTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfIntangibleAssetsByMajorClassTableTextBlock" id="sna_ScheduleOfIntangibleAssetsByMajorClassTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfNotesAndLoansAndContractReceivablesNonAccrualStatusTableTextBlock" id="sna_ScheduleOfNotesAndLoansAndContractReceivablesNonAccrualStatusTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfNotesAndLoansAndContractReceivablesNonCurrentTableTextBlock" id="sna_ScheduleOfNotesAndLoansAndContractReceivablesNonCurrentTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfPerformingAndNonperformingNotesAndLoansAndContractReceivablesTableTextBlock" id="sna_ScheduleOfPerformingAndNonperformingNotesAndLoansAndContractReceivablesTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SellContractsMember" id="sna_SellContractsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisableNonvestedIntrinsicValues" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisableNonvestedIntrinsicValues" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisableNonvestedNumber" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisableNonvestedNumber" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisableNonvestedWeightedAverageExercisePrice" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisableNonvestedWeightedAverageExercisePrice" type="num:perShareItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisableWeightedAverageRemainingContractualTerms" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisableWeightedAverageRemainingContractualTerms" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisedInPeriod" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisedInPeriod" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisedInPeriodWeightedAverageExercisedPrice" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisedInPeriodWeightedAverageExercisedPrice" type="num:perShareItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisesInPeriodIntrinsicValue" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsExercisesInPeriodIntrinsicValue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsForfeitedInPeriodWeightedAverageExercisedPrice" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsForfeitedInPeriodWeightedAverageExercisedPrice" type="num:perShareItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsGrantsInPeriodWeightedAverageExercisedPrice" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsGrantsInPeriodWeightedAverageExercisedPrice" type="num:perShareItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsGrantsPerformancePeriod" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsGrantsPerformancePeriod" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsGrantsVestingPeriod" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsGrantsVestingPeriod" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsNonvestedIntrinsicValues" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsNonvestedIntrinsicValues" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsNonvestedWeightedAverageExercisePrice" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsNonvestedWeightedAverageExercisePrice" type="num:perShareItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsWeightedAverageContractualTerm" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsWeightedAverageContractualTerm" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardExpirationYear" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardExpirationYear" type="xbrli:gYearItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsTableTextBlock" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExercisableWeightedAverageRemainingContractualTerms" id="sna_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExercisableWeightedAverageRemainingContractualTerms" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SharebasedCompensationArrangementBySharebasedPaymentAwardOptionsOutstandingWeightedAverageRemainingContractualTerm4" id="sna_SharebasedCompensationArrangementBySharebasedPaymentAwardOptionsOutstandingWeightedAverageRemainingContractualTerm4" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationExpenseBenefit" id="sna_ShareBasedCompensationExpenseBenefit" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SixPointOneTwoFivePercentageUnsecuredNotesDueTwoThousandTwentyOneMember" id="sna_SixPointOneTwoFivePercentageUnsecuredNotesDueTwoThousandTwentyOneMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SixPointSevenZeroPercentageUnsecuredNotesDueTwoThousandNineteenMember" id="sna_SixPointSevenZeroPercentageUnsecuredNotesDueTwoThousandNineteenMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="StockCompensationPlans" id="sna_StockCompensationPlans" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="StockSettledStockAppreciationRightsMember" id="sna_StockSettledStockAppreciationRightsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SummaryOfAccountingPoliciesLineItems" id="sna_SummaryOfAccountingPoliciesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SummaryOfAccountingPoliciesTable" id="sna_SummaryOfAccountingPoliciesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ToolsGroupMember" id="sna_ToolsGroupMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="TradeAndOtherAccountsReceivableNonExtendedTermPaymentMaximum" id="sna_TradeAndOtherAccountsReceivableNonExtendedTermPaymentMaximum" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="TradeAndOtherAccountsReceivableNonExtendedTermPaymentMinimum" id="sna_TradeAndOtherAccountsReceivableNonExtendedTermPaymentMinimum" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="TreasuryLocksOutstanding" id="sna_TreasuryLocksOutstanding" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="TreasuryLocksSettled" id="sna_TreasuryLocksSettled" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="TwoThousandAndElevenIncentiveStockAndAwardsPlanMember" id="sna_TwoThousandAndElevenIncentiveStockAndAwardsPlanMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="UnconsolidatedAffiliatesMember" id="sna_UnconsolidatedAffiliatesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
</schema>
